Skip to main content
`Ctrl`+`K`

# PetscDrawPointPixel

draws a point onto a drawable, in pixel coordinates

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawPointPixel(PetscDraw draw, int x, int y, int c)

Not Collective

## Input Parameters

- draw - the drawing context

- x - horizontal pixel coordinates of the point

- y - vertical pixel coordinates of the point

- c - the color of the point

## See Also

`PetscDraw`, `PetscDrawPoint()`, `PetscDrawPointSetSize()`

## Level

beginner

## Location

src/sys/classes/draw/interface/dpoint.c

## Implementations

PetscDrawPointPixel_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawPointPixel_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawPointPixel_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages